%define rel 1
%define subrel 1

Name: kig
Summary: KDE Interactive Geometry
Version: 4.8.5
Release: %mkrel %{rel}
Group: Education
License: GPLv2 and GFDL
URL: http://edu.kde.org/kig
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: boost-devel
Suggests: kig-handbook

#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
Kig is a program for use in math classes in high school, to allow
students to interactively explore geometric concepts.

%files
%_kde_appsdir/kig
%_kde_bindir/kig
%_kde_bindir/pykig.py
%_kde_libdir/kde4/kigpart.so
%_kde_iconsdir/*/*/apps/kig.*
%_kde_iconsdir/*/*/mimetypes/application-x-kig.*
%_kde_datadir/applications/kde4/kig.desktop
%_kde_appsdir/katepart/syntax/python-kig.xml
%_kde_services/kig_part.desktop

#------------------------------------------------------------------------------

%package handbook
Summary: Kig handbook
Conflicts: kig < 4.7.1
Requires:  kig >= %{version}-%{release}
BuildArch: noarch
Group: Books/Other
%description handbook
This package provides kig handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC AUTHORS ChangeLog
%doc %_kde_docdir/HTML/en/kig
%_kde_mandir/man1/kig.1.*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279109
- Update tarball to KDE SC 4.8.5
- Add missing requires for boost-devel (need to provide the katepart python plugin)
- Update tarball to 4.8.4
- Fix files list
- Add missing requires on handbook subpackage

  + fwang <fwang>
    - new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221483
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198243
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190967
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186069
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182118
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176450
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161346
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151961
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-0.mga2
+ Revision: 140652
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- remove %%defattr
- fix license

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122445
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Mon Jun 27 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 114731
- imported package kig

